Subject: Re: bug#61667: 29.0.60; Failure to redisplay

From: Eli Zaretskii <[email-masked]>
Date: Tue, 18 Apr 2023 20:00:40 +0300

> Date: Tue, 18 Apr 2023 03:28:16 +0300
> Cc: [email-masked], [email-masked], [email-masked]
> From: Dmitry Gutov <[email-masked]>
> 
> >>     The  largest  allowed
> >>                 value  is  system-dependent,  and  is  calculated  as
> >> the argument length limit for exec, less the size of your environment,
> >> less 2048 bytes of headroom. ...  xargs automatically adapts to tighter
> >> constraints.
> > 
> > Suggest to take this up with the developers of GNU Findutils.
> 
> I imagine they'd prefer a report from somebody using the platform, who 
> can follow up with details and so on.

The main problem is the MSYS2 build of xargs, so MSYS2 folks should
report this.

> Does this work?

Yes, thanks.

> BTW, it seems like grep-compute-defaults should also insert '-s 10000' 
> somewhere when xargs is used. Or is it usually not used on Windows?

It shouldn't be usd by default, because the only Findutils on Widnows
are GNU Findutils, so we should use -exec.  But grep-find-use-xargs is
a defcustom, so users could customize it to use xargs, and in that
case, we need -s 10000 as well.